import type { Theme } from '../../lib/theming/Theme';
export declare const getMenuItemPaddings: ({ menuItemPaddingX, menuItemPaddingY, }: Record<'menuItemPaddingX' | 'menuItemPaddingY', string>) => {
    paddingX: string;
    paddingY: string;
};
export declare const styles: {
    root(t: Theme): string;
    rootSmall(t: Theme): string;
    rootMedium(t: Theme): string;
    rootLarge(t: Theme): string;
    rootMobile(t: Theme): string;
    hover(t: Theme): string;
    selected(t: Theme): string;
    disabled(t: Theme): string;
    nonSelectable(): string;
    link(t: Theme): string;
    loose(): string;
    withIconSmall(t: Theme): string;
    withIconMedium(t: Theme): string;
    withIconLarge(t: Theme): string;
    comment(t: Theme): string;
    commentHover(t: Theme): string;
    icon(): string;
    iconSmall(t: Theme): string;
    iconMedium(t: Theme): string;
    iconLarge(t: Theme): string;
    mobileContentWithIcon(): string;
};
